Skip to main content
POST
/
v2
/
transaction_intents
/
{intent_id}
Update a transaction intent
curl --request POST \
  --url https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
  "amount": 100,
  "status": "CONFIRMED",
  "currency": "USD",
  "network_transaction_id": "<string>",
  "partner_transaction_id": "<string>",
  "metadata": {
    "platform_version": "2.1.0"
  }
}
'
import requests

url = "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"

payload = {
"customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
"amount": 100,
"status": "CONFIRMED",
"currency": "USD",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"metadata": { "platform_version": "2.1.0" }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 'D8CD2346-9A02-4ABB-A388-AB3DACC57DCF',
amount: 100,
status: 'CONFIRMED',
currency: 'USD',
network_transaction_id: '<string>',
partner_transaction_id: '<string>',
metadata: {platform_version: '2.1.0'}
})
};

fetch('https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
  "customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
  "amount": 10000,
  "currency": "USD",
  "status": "CONFIRMED",
  "created_at": "2025-02-13T19:08:07.000Z",
  "payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
  "network_transaction_id": "<string>",
  "partner_transaction_id": "<string>",
  "updated_at": "2025-02-13T19:08:07.000Z",
  "metadata": {
    "platform_version": "2.1.0"
  }
}
{
"path": "/v2/customers",
"details": [
"email: must be a well-formed email address"
],
"error": "Bad Request",
"status": 400,
"timestamp": "2025-01-20T18:18:22.923+00:00"
}

Authorizations

Authorization
string
header
required

Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>

Path Parameters

intent_id
string
required

The unique identifier for the transaction intent

Example:

"3E4F0CCD-ACBF-42F3-A459-6DF92AF632D1"

Body

application/json
customer_id
string
required
Example:

"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF"

amount
integer
required
Example:

100

status
enum<string>
required
Available options:
CONFIRMED,
CANCELED
Example:

"CONFIRMED"

currency
string

The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")

Example:

"USD"

network_transaction_id
string

The network's unique identifier for the transaction. Examples include Visa Transaction ID, Mastercard Trace ID, and American Express Network Reference ID

partner_transaction_id
string

The partner's unique transaction id

metadata
object

Additional transaction intent data

Example:
{ "platform_version": "2.1.0" }

Response

Transaction intent updated successfully

id
string
required
Example:

"5B30532B-5B5B-4826-8DE2-429C57B705FD"

customer_id
string
required
Example:

"9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4"

amount
integer
required

Currency amount

Example:

10000

currency
string
required

The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")

Example:

"USD"

status
enum<string>
required
Available options:
CONFIRMED,
CANCELED
Example:

"CONFIRMED"

created_at
string
required

the RFC-3339 timestamp when the transaction intent was created

Example:

"2025-02-13T19:08:07.000Z"

payment_method_id
string

The payment_method_id that this transaction_intent was executed with.

Example:

"DCBFC736-2286-42DD-897D-160DCA80AED2"

network_transaction_id
string

The network's unique identifier for the transaction. Examples include Visa Transaction ID, Mastercard Trace ID, and American Express Network Reference ID

partner_transaction_id
string

The partner's unique transaction id

updated_at
string

the RFC-3339 timestamp when the transaction intent was last updated

Example:

"2025-02-13T19:08:07.000Z"

metadata
object

Additional transaction intent data

Example:
{ "platform_version": "2.1.0" }